View Issue Details

IDProjectCategoryView StatusLast Update
0001649Industrial-Craft²machinespublic2015-08-23 03:47
ReporterSanchoAssigned ToAroma1997 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPCOSWindowsOS Version
Product Version 
Target VersionFixed in VersionBuilds for MC 1.7.10 
Summary0001649: Regression: Advanced Miner no longer charges
DescriptionThis bug started several versions ago. Unfortunately, I'm not sure which (around or before version 747). An advanced miner connected to power will drain EU at max EU/t, but the Advanced Miner will not charge. If it has run out of power, it will sit idle while still draining max EU/t from the MSU. It can still be recharged using power crystals. Currently in version 752, it is still reproducible.
Steps To Reproduce1) Place Advanced Miner
2) Connect to power source
TagsNo tags attached.
Minecraft Version

Relationships

has duplicate 0001664 resolvedAroma1997 Advanced Miner does not charge from the wires \ machines 

Activities

Chocohead

2015-07-20 20:52

developer   ~0003978

Can confirm with 751.

Chocohead

2015-07-22 12:56

developer   ~0003991

Duplicated by 0001664

Sancho

2015-08-13 10:34

reporter   ~0004101

This issue still exists in build 761.

chrispikula

2015-08-14 10:30

reporter   ~0004105

Last edited: 2015-08-14 11:08

View 2 revisions

In build 746, I found that you can charge the Advanced miner, at least via using a few X-former upgrades and 3 MFSU's. After electric wrenching off the miner, and checking the charge level, comparing it to the drain of the MFSU's, it seems that it requires ~ 100 EU for every 1 EU of charge.

And that it only charges if it receives an 'off' redstone signal.
And it doesn't mine after being fully charged, however the MFSU's continue to drain.

Aroma1997

2015-08-20 19:04

developer   ~0004120

Could anyone do me a favour and tell me since what build that bug exists?

Chocohead

2015-08-20 20:52

developer   ~0004121

747 seems to be the first version with this bug from what I can tell.

Sancho

2015-08-21 03:30

reporter   ~0004122

I can confirm that it started with build 747, according to my tests.

Sancho

2015-08-23 03:47

reporter   ~0004123

Can confirm fixed in build 765. Thanks! However, it appears that the redstone signal is reversed now. This bug was mentioned in issue 1686 before. Was it ever fixed?

Issue History

Date Modified Username Field Change
2015-07-20 09:40 Sancho New Issue
2015-07-20 20:52 Chocohead Note Added: 0003978
2015-07-20 20:59 Aroma1997 Status new => confirmed
2015-07-22 12:56 Chocohead Note Added: 0003991
2015-07-22 12:59 Aroma1997 Relationship added has duplicate 0001664
2015-08-13 10:34 Sancho Note Added: 0004101
2015-08-14 10:30 chrispikula Note Added: 0004105
2015-08-14 11:08 chrispikula Note Edited: 0004105 View Revisions
2015-08-20 19:04 Aroma1997 Note Added: 0004120
2015-08-20 20:52 Chocohead Note Added: 0004121
2015-08-21 03:30 Sancho Note Added: 0004122
2015-08-21 12:54 Aroma1997 Status confirmed => resolved
2015-08-21 12:54 Aroma1997 Fixed in Version => Builds for MC 1.7.10
2015-08-21 12:54 Aroma1997 Resolution open => fixed
2015-08-21 12:54 Aroma1997 Assigned To => Aroma1997
2015-08-23 03:47 Sancho Note Added: 0004123